mixed-port: 7890
allow-lan: true
mode: rule
log-level: info
ipv6: true
external-controller: 127.0.0.1:9090
dns:
  enable: true
  listen: 0.0.0.0:1053
  ipv6: true
  enhanced-mode: fake-ip
  fake-ip-range: 198.18.0.1/16
  default-nameserver:
    - 223.5.5.5
    - 119.29.29.29
  nameserver:
    - https://dns.alidns.com/dns-query
    - https://doh.pub/dns-query
proxies:
  - name: 🇨🇦_CA_加拿大
    type: trojan
    server: 103.177.136.42
    port: 47909
    password: 4f4d1167-ef14-4304-9bce-0740472503ef
    sni: is.01.naiun.bilibili.com
    skip-cert-verify: true
    tls: false
    udp: true
  - name: 🇨🇦_CA_加拿大_1
    type: trojan
    server: 103.177.136.45
    port: 47909
    password: 4f4d1167-ef14-4304-9bce-0740472503ef
    sni: is.01.naiun.bilibili.com
    skip-cert-verify: true
    tls: false
    udp: true
  - name: 🇭🇰_HK_中国香港
    type: vmess
    server: 47.244.120.197
    port: 36703
    uuid: 45b83519-9c4f-4052-a11b-02e017b636d4
    alterId: 0
    cipher: auto
    tls: false
    skip-cert-verify: true
    network: ws
    ws-opts:
      path: /arki?ed=2048
    udp: true
  - name: 🇳🇱_NL_荷兰
    type: vless
    server: nl08.abvpn.ru
    port: 443
    uuid: 95e118b4-4352-4218-8493-f20cc7fc467a
    network: ws
    servername: nl08.abvpn.ru
    tls: true
    client-fingerprint: chrome
    ws-opts:
      path: /websocket
    skip-cert-verify: true
    udp: true
  - name: 🇺🇸_US_美国
    type: vless
    server: josni.hoyes.cloudns.ch
    port: 2053
    uuid: 83afd88f-200f-4d89-bfc7-66eff160c1d8
    network: ws
    tls: true
    skip-cert-verify: true
    udp: true
  - name: 🇨🇦_CA_加拿大_2
    type: trojan
    server: 103.177.136.42
    port: 48697
    password: 4f4d1167-ef14-4304-9bce-0740472503ef
    sni: gh.01.naiun.bilibili.com
    skip-cert-verify: true
    tls: false
    udp: true
  - name: 🇭🇰_HK_中国香港_1
    type: vless
    server: 47.86.55.200
    port: 19321
    uuid: 394086c4-d8a4-4298-9b62-f70fa711082d
    tls: false
    skip-cert-verify: true
    udp: true
  - name: 🇬🇧_GB_英国
    type: vless
    server: 193.149.185.17
    port: 41510
    uuid: 0599ca07-cc1c-4e42-b637-6e286f43beb2
    network: ws
    tls: false
    skip-cert-verify: true
    udp: true
proxy-groups:
  - name: 🚀 节点选择
    type: select
    proxies:
      - ♻️ 自动选择
      - DIRECT
      - 🇨🇦_CA_加拿大
      - 🇨🇦_CA_加拿大_1
      - 🇭🇰_HK_中国香港
      - 🇳🇱_NL_荷兰
      - 🇺🇸_US_美国
      - 🇨🇦_CA_加拿大_2
      - 🇭🇰_HK_中国香港_1
      - 🇬🇧_GB_英国
  - name: ♻️ 自动选择
    type: url-test
    proxies:
      - 🇨🇦_CA_加拿大
      - 🇨🇦_CA_加拿大_1
      - 🇭🇰_HK_中国香港
      - 🇳🇱_NL_荷兰
      - 🇺🇸_US_美国
      - 🇨🇦_CA_加拿大_2
      - 🇭🇰_HK_中国香港_1
      - 🇬🇧_GB_英国
    url: http://www.gstatic.com/generate_204
    interval: 300
    tolerance: 50
  - name: 🌍 国外媒体
    type: select
    proxies:
      - 🚀 节点选择
      - ♻️ 自动选择
      - 🎯 全球直连
      - 🇨🇦_CA_加拿大
      - 🇨🇦_CA_加拿大_1
      - 🇭🇰_HK_中国香港
      - 🇳🇱_NL_荷兰
      - 🇺🇸_US_美国
      - 🇨🇦_CA_加拿大_2
      - 🇭🇰_HK_中国香港_1
      - 🇬🇧_GB_英国
  - name: 📲 电报信息
    type: select
    proxies:
      - 🚀 节点选择
      - 🎯 全球直连
      - 🇨🇦_CA_加拿大
      - 🇨🇦_CA_加拿大_1
      - 🇭🇰_HK_中国香港
      - 🇳🇱_NL_荷兰
      - 🇺🇸_US_美国
      - 🇨🇦_CA_加拿大_2
      - 🇭🇰_HK_中国香港_1
      - 🇬🇧_GB_英国
  - name: Ⓜ️ 微软服务
    type: select
    proxies:
      - 🎯 全球直连
      - 🚀 节点选择
      - 🇨🇦_CA_加拿大
      - 🇨🇦_CA_加拿大_1
      - 🇭🇰_HK_中国香港
      - 🇳🇱_NL_荷兰
      - 🇺🇸_US_美国
      - 🇨🇦_CA_加拿大_2
      - 🇭🇰_HK_中国香港_1
      - 🇬🇧_GB_英国
  - name: 🍎 苹果服务
    type: select
    proxies:
      - 🚀 节点选择
      - 🎯 全球直连
      - 🇨🇦_CA_加拿大
      - 🇨🇦_CA_加拿大_1
      - 🇭🇰_HK_中国香港
      - 🇳🇱_NL_荷兰
      - 🇺🇸_US_美国
      - 🇨🇦_CA_加拿大_2
      - 🇭🇰_HK_中国香港_1
      - 🇬🇧_GB_英国
  - name: 🎯 全球直连
    type: select
    proxies:
      - DIRECT
      - 🚀 节点选择
      - ♻️ 自动选择
  - name: 🛑 全球拦截
    type: select
    proxies:
      - REJECT
      - DIRECT
  - name: 🍃 应用净化
    type: select
    proxies:
      - REJECT
      - DIRECT
  - name: 🆎 AdBlock
    type: select
    proxies:
      - REJECT
      - DIRECT
  - name: 🐟 漏网之鱼
    type: select
    proxies:
      - 🚀 节点选择
      - 🎯 全球直连
      - ♻️ 自动选择
      - 🇨🇦_CA_加拿大
      - 🇨🇦_CA_加拿大_1
      - 🇭🇰_HK_中国香港
      - 🇳🇱_NL_荷兰
      - 🇺🇸_US_美国
      - 🇨🇦_CA_加拿大_2
      - 🇭🇰_HK_中国香港_1
      - 🇬🇧_GB_英国
rule-providers:
  LocalAreaNetwork:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/LocalAreaNetwork.list
    path: ./rules/LocalAreaNetwork.yaml
  BanAD:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/BanAD.list
    path: ./rules/BanAD.yaml
  BanProgramAD:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/BanProgramAD.list
    path: ./rules/BanProgramAD.yaml
  BanEasyList:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/BanEasyList.list
    path: ./rules/BanEasyList.yaml
  BanEasyListChina:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/BanEasyListChina.list
    path: ./rules/BanEasyListChina.yaml
  BanEasyPrivacy:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/BanEasyPrivacy.list
    path: ./rules/BanEasyPrivacy.yaml
  GoogleCN:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/GoogleCN.list
    path: ./rules/GoogleCN.yaml
  SteamCN:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/Ruleset/SteamCN.list
    path: ./rules/SteamCN.yaml
  Microsoft:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/Microsoft.list
    path: ./rules/Microsoft.yaml
  Apple:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/Apple.list
    path: ./rules/Apple.yaml
  ProxyMedia:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/ProxyMedia.list
    path: ./rules/ProxyMedia.yaml
  Telegram:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/Telegram.list
    path: ./rules/Telegram.yaml
  ProxyLite:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/ProxyLite.list
    path: ./rules/ProxyLite.yaml
  ChinaDomain:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/ChinaDomain.list
    path: ./rules/ChinaDomain.yaml
  ChinaCompanyIp:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/ChinaCompanyIp.list
    path: ./rules/ChinaCompanyIp.yaml
rules:
  - RULE-SET,LocalAreaNetwork,🎯 全球直连
  - RULE-SET,BanAD,🛑 全球拦截
  - RULE-SET,BanProgramAD,🍃 应用净化
  - RULE-SET,BanEasyList,🆎 AdBlock
  - RULE-SET,BanEasyListChina,🆎 AdBlock
  - RULE-SET,BanEasyPrivacy,🆎 AdBlock
  - RULE-SET,GoogleCN,🎯 全球直连
  - RULE-SET,SteamCN,🎯 全球直连
  - RULE-SET,Microsoft,Ⓜ️ 微软服务
  - RULE-SET,Apple,🍎 苹果服务
  - RULE-SET,ProxyMedia,🌍 国外媒体
  - RULE-SET,Telegram,📲 电报信息
  - RULE-SET,ProxyLite,🚀 节点选择
  - RULE-SET,ChinaDomain,🎯 全球直连
  - RULE-SET,ChinaCompanyIp,🎯 全球直连
  - GEOIP,CN,🎯 全球直连
  - MATCH,🐟 漏网之鱼
